Subject: Business Air News Bulletin - May 9, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 10 May 2023 05:02:36 +0100

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

Jet In opens all-new FBO at Milwaukee

The Jet In facility offers a wide array of services, 365 days a year. Notable amenities include an exclusive sky lounge with a balcony overlooking the main east-west runway on the airport, along with an exercise facility.

DCAF leads the way for safe handling standards in Middle East

The IS-BAH III accreditation process involved a complete audit of DCAF's FBO safety management systems, emergency and security procedures, organisational structure, training protocols and operating procedures.

Banyan maintains position as top Lauderdale FBO

As the number one FBO in the US, Banyan Air Service at Fort Lauderdale serves FAA Part 91 operators of turbine powered aircraft with excellent service and has become a one-stop shop for business aviation.

Bombardier publishes EPDs for Global 5500 and 6500

Environmental Product Declarations inform on an aircraft’s environmental footprint across its life cycle. Bombardier analysed environmental incidence of thousands of aircraft parts to create transparent reports.

Overall market gains over 2019 are diminishing

US fractional operators are hitting record levels of activity but flights out of Germany and Austria are trending well below 2019 levels and activity in France is flat. Other European countries are seeing gains over 2019.

Satcom Direct adds automated carbon reporting to Pro

The new reporting module leverages real-time data generated by SD’s FlightDeck Freedom datalink service, which accurately captures fuel burn.

To unsubscribe, please contact [email-masked].